# maplibre::render::stages - Rust
Rendering specific Stages
Keywords: rust, rustlang, rust-lang, stages

# Module maplibre::render::stages

source · [−]
Expand description

Rendering specific Stages

## Modules

extract_stage

Extracts data from the current state.

graph_runner_stage

Executes the `RenderGraph` current render graph.

phase_sort_stage

Sorts items of the RenderPhases.

queue_stage

Queues PhaseItems for rendering.

resource_stage

Prepares GPU-owned resources by initializing them if they are uninitialized or out-of-date.

upload_stage

Uploads data to the GPU which is needed for rendering.

## Structs

PrepareStage

## Enums

RenderStageLabel

The labels of the default App rendering stages.

## Functions

register_render_stages